Package org.apache.ignite.transactions

## Class TransactionHeuristicException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.transactions.TransactionException
          - - org.apache.ignite.transactions.TransactionHeuristicException

- All Implemented Interfaces:
    `Serializable`

      public class TransactionHeuristicException
      extends TransactionException

  Exception thrown whenever grid transaction enters an unknown state. This exception is usually thrown whenever commit partially succeeds. Cache will still resolve this situation automatically to ensure data integrity, by invalidating all values participating in this transaction on remote nodes.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransactionHeuristicException​(String msg)` | Creates new heuristic exception with given error message.
    `TransactionHeuristicException​(String msg, Throwable cause)` | Creates new heuristic exception with given error message and optional nested exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionHeuristicException

          public TransactionHeuristicException​(String msg)

      Creates new heuristic exception with given error message.
      Parameters:
        `msg` - Error message.

    - #### TransactionHeuristicException

          public TransactionHeuristicException​(String msg,
                                               Throwable cause)

      Creates new heuristic exception with given error message and optional nested exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).